/* 
	csw-button-styles.js
   
   Version: [2018-01-08 15:38 pm]
*/

jQuery(document).ready(function(){
	
   // Init the button hover effects
   initButtonHoverEffects();

});


function initButtonHoverEffects() {
	
   // register a mouseenter event
	jQuery('.cswBtn-outlined,.cswBtn-outlined-thin,.cswBtn-outlined-thick,.cswBtn-filled-border').mouseenter( function() {
      if ( jQuery(this).hasClass('cswEffect-default') || jQuery(this).hasClass('cswEffect-fill') )
         toggleButtonColors( jQuery(this), 'enter' );		
	});
   
   // register a mouseleave event
	jQuery('.cswBtn-outlined,.cswBtn-outlined-thin,.cswBtn-outlined-thick,.cswBtn-filled-border').mouseleave( function() {
      if ( jQuery(this).hasClass('cswEffect-default') || jQuery(this).hasClass('cswEffect-fill') )
         toggleButtonColors( jQuery(this), 'leave' );		
	});	

}

// Init a global variable to remember the last hover state
var lastHoverState = '';

function toggleButtonColors(el,state) {
 
	var curBtnEl = jQuery(el); 
	var curBtnColor = curBtnEl.css( "color" );
   var curBtnBgColor = curBtnEl.css( "background-color" );
	var curTextEl = curBtnEl.find('span');
	var curTextColor = curTextEl.css( "color" );
	var curIconEl = curBtnEl.find('i');
   var currBtnBorderColor = curBtnEl.css("border-top-color"); // Get the color of one of the border sides
   //var toggledClass = 'cswBtnColors-toggled';
   
   if ( state !== lastHoverState )
   {
      // Set the Text Color to the BG Color
      curTextEl.css('color',curBtnBgColor);
      // Set the Button BG Color to the Text Color
      curBtnEl.css('background-color',curTextColor);	
      // Set the Button Text Color to the BG Color             
      curBtnEl.css('color',curBtnBgColor);

      // Check if data-border-color exists, if not set it
      if( typeof curBtnEl.data('border-color') == 'undefined' || curBtnEl.data('border-color') == 'undefined' )
      {
         curBtnEl.data('border-color', currBtnBorderColor );
         
         // Set Border color to current Background Color
         curBtnEl.css({"border-color":curBtnBgColor});
      }
      else
      {
         // Get Border Color from Data Attr
         currBtnBorderColor = curBtnEl.data('border-color' );
         
         // Set Border Color
         curBtnEl.css({"border-color":currBtnBorderColor});
         
         // Remove Data Attribute
         curBtnEl.removeAttr('data-border-color');
      }
      
      // Set the Icon Color to what the BG Color used to be
      if ( curIconEl.length ) 
         curIconEl.css('color',curBtnBgColor);
      
      /*if ( curBtnEl.hasClass(toggledClass) )
         curBtnEl.removeClass(toggledClass);
      else
         curBtnEl.addClass(toggledClass);*/
      
      // Set the last hover state  
      lastHoverState =	state;
   }   

}
