/* 
   csw-imagetextblock-carousel.js 
	
	Version: [2018-01-02 01:28 pm]
*/

function initImageTextblockCarousel(items, elementID, infiniteLoop, autoplayToggle, autoplaySpeed, autoplayHoverPause, autoHeight, showArrows, showDots, columnClassXXS, columnClassXS, columnClassSM, columnClassMD, columnClassLG, spaceBetween )
{
	var owl = jQuery('.owl-carousel.Carousel' + elementID);
	
	var autoplay = true;
	var xxs = columnClassXXS;
	var xs = columnClassXS;
	var sm = columnClassSM;
	var md = columnClassMD;
	var lg = columnClassLG;
	
	if( items < xxs )
		xxs = items;
	if( items < xs )
		xs = items;
	if( items < sm )
		sm = items;
	if( items < md )
		md = items;
	if( items < lg )
		lg = items;	
	
	if( autoplayToggle === 0 )
		autoplay = false;

	owl.owlCarousel({
		margin: spaceBetween,
		dragClass: 'cswdummy',
		nav: true,
		loop: infiniteLoop,
		autoplay: autoplay,
		autoplayTimeout: autoplaySpeed,
		autoplayHoverPause: autoplayHoverPause,
		autoHeight: autoHeight,
		dots: showDots,
		dotsContainer: '.Carousel' + elementID + ' .customDots',
		navContainer: '.Carousel' + elementID + ' .customNav',
		navText: ["&lsaquo;","&rsaquo;"],
		responsiveClass:true,
		responsive:{
			// breakpoint from 0 up
			// Custom, iPhone Retina
			0:{
				items:xxs,
				nav: showArrows
			},

			// Extra Small
			480:{
				items: xs,
				nav: showArrows
			},

			// Small Devices, Tablets
			768:{
				items: sm,
				nav: showArrows
			},

			// Medium Devices, Desktops
			992:{
				items: md,
				nav: showArrows
			},

			// Large Devices, Wide Screens
			1200:{
				items: lg,
				nav: showArrows
			}
		}
	});
	
	owl.on('mouseleave',function(){

		// if autoplay is on, we add class to items div
		var autoplay = jQuery(this).hasClass('cswAutoplay');

		if( autoplay )
		{
	   	owl.trigger('stop.owl.autoplay'); //fixes issue where carousel won't resume from pause on mouseout.
	   	owl.trigger('play.owl.autoplay');
		}
	})
}

function resizeCarouselTextblocks(elementID, autoheight, resize)
{
	if( autoheight == false )
	{
		var maxH = 0;

		// clear height on resize
		if( resize )
			jQuery('.owl-carousel.Carousel' + elementID + ' .cswContentWrapper').height('auto');

		// resize the height of the textarea to be the height of the tallest
		jQuery('.owl-carousel.Carousel' + elementID + ' .cswContentWrapper').each( function() {
				var h = jQuery(this).height();
				if( h > maxH )
					maxH = h;
			}
	  	);


		jQuery('.owl-carousel.Carousel' + elementID + ' .cswContentWrapper').height(maxH);
	}

	// If carousel arrows are centered aligned, adjust Prev and Next arrows to be
	// centered vertically based on the height of the image
	/*
	if( jQuery('.owl-theme.Carousel' + elementID + ' .cswCentered').length )
	{
		var imgH = jQuery('.owl-carousel.Carousel' + elementID + ' .owl-item img').first().height();
		var arrowH = jQuery('.owl-theme.Carousel' + elementID + ' .owl-prev').height();
		var top = (imgH/2) - (arrowH/2) + 'px';

		jQuery('.owl-theme.Carousel' + elementID + ' .cswCentered').css('top',top);
	}
	*/
}
